<?php

   if (isset($_POST['edycja_strony']) or isset($_POST['edycja_strony_i_okienko'])){

	  	if($_POST['szablon']==null or $_POST['nazwa_strony']==null){
			komunikat("Błąd","Wypełnij proszę wszystkie wymagane pola.");
		}else{

			$typ = $_POST['typ'];
			$podstrona = $_POST['podstrona'];

			$alias = strtolower(str_replace(' ', "-", strtolower($_POST['nazwa_strony'])));
			$alias = filtr_pl($alias);

			$ok = false;

			$licznik = 0;

			$alias_pierwszy = $alias;

			while(!$ok){
				$licznik++;
				$wykonaj = mysql_query ("SELECT * FROM ".$db_pref."strona WHERE alias='".$alias."' and id_serwisu='".$_SESSION['ID_serwisu']."' and id<>'".$_GET['id_strony']."';");
				if($wykonaj){
					$ile = mysql_num_rows($wykonaj);
					if($ile==0){
						$ok = true;
					}else{
						$alias = $alias_pierwszy."-".$licznik;
					}
				}else{
					$ok = true;
				}
			}

			$update = mysql_query("UPDATE ".$db_pref."strona SET nazwa_pliku='".$szablon."', nazwa_strony='".$_POST['nazwa_strony']."', alias='".$alias."', typ='".$typ."', grupa='".$grupa_strony."', id_serwisu='".$_SESSION['ID_serwisu']."', kiedy_dodana='".time()."', przez_kogo='".$_SESSION['u_id']."' WHERE id='".$_GET['id_strony']."';");

	    	if($update){
				komunikat("Komunikat",'Strona zmieniona pomyślnie.<br>Link do strony to: <a target="_parent" href="../'.$alias.'.html">'.$alias.'.html</a>');

				// tu mogę wygenerowac plik PHP z podstronami
				include_once "generowanie_pliku_podstron.php";

				if(isset($_POST['edycja_strony'])){
					echo"<script>parent.Windows.getWindow('strony').refresh();</script>";
				}else{
					echo"<script>parent.Windows.getWindow('strony').refresh();</script>";
					echo"<script>parent.Windows.getWindow('strona_".$_GET['id_strony']."').close();</script>";
				}

			}

		}
   }



	// Załadowanie danych strony do edycji
	$w = mysql_fetch_array(mysql_query("SELECT * FROM ".$db_pref."strona WHERE id='".$_GET['id_strony']."' LIMIT 1;"));

	 echo'
    <form action="?go=edytuj_strone&id_strony='.$_GET['id_strony'].'" method="post" class="f-wrap-1" name="formularz_glowny">
    		<div class="req"><b>*</b> Pola wymagane</div>
			<fieldset>
	 		<h3>Edycja strony</h3>
			<label for="nazwa_strony"><b><span class="req">*</span>Nazwa strony:</b> <input name="nazwa_strony" type="text" class="f-name" tabindex="1" value="'.$w['nazwa_strony'].'" /><br/></label>
	';


	echo'<label for="szablon"><b><span class="req">*</span>Szablon:</b> <select size="1" name="szablon">';

	$sciezka = "../../templates/".$katalog_serwisu;
	$lista=array();
	$katalog = opendir($sciezka);
	while ($plik = strtolower(readdir($katalog))) {
		if (($plik<>".")&&($plik<>"..")&&($plik<>"index.php")&&!preg_match("/.add/i", $plik)&&!preg_match("/bak./i", $plik)&&!preg_match("/naglowek./i", $plik)&&!preg_match("/stopka./i", $plik)&&!preg_match("/404./i", $plik)&&!preg_match("/admin_logowanie/i", $plik)&&!preg_match("/faq./i", $plik)&&!preg_match("/stopka./i", $plik)&&!preg_match("/info_kontakt./i", $plik)&&!preg_match("/aktualnosci_prawe./i", $plik)&&!preg_match("/przerwa_techniczna./i", $plik)) {
			if(!is_dir($sciezka.$plik)) $lista[] = $plik;
		}
	}
	closedir($katalog);
	sort($lista);

	for ($i=0;$i<count($lista);$i++){
		$zaznaczenie=null;
		if($w['nazwa_pliku']==$lista[$i]){$zaznaczenie=' selected';}
		echo'<option value="'.$lista[$i].'"'.$zaznaczenie.'>'.$lista[$i].'</option>';
	}

	echo'</select></label><br />';


	if($w['typ']=="normalna"){
		$zaznaczenie_1 = " selected";
	}else{
		$zaznaczenie_2 = " selected";
	}

	echo'<label for="typ"><b><span class="req">*</span>Typ strony:</b> <select size="1" name="typ">';
	echo'<option value="normalna"'.$zaznaczenie_1.'>Strona normalna</option>';
	echo'<option value="struktura"'.$zaznaczenie_2.'>Strona w strukturze</option>';
	echo'</select></label><br />';



	function espace($rang) {
	  $ch="";
	  for ($x=0;$x<$rang;$x++) {
	  	  $ch = $ch."---";
	  }
	  return $ch;
	}

	$id_podstrony = $w['id'];

	function recur($tab,$pere,$rang){
	  global $tempx;
	  global $id_podstrony;
	  for ($x=0;$x<count($tab);$x++) {
	    if ($tab[$x][1]==$pere) {
		 	$zaznaczenie = NULL;
		 	if($tab[$x][0]==$id_podstrony){
				$zaznaczenie = " selected";
			}
			$tempx .= '<option value="'.$tab[$x][0].'"'.$zaznaczenie.'>-'.espace($rang).'&nbsp;'.$tab[$x][2].'</option>';
	      recur($tab,$tab[$x][0],$rang+1);
	    }
	  }
	}

	$data_x[] = array(0,-1,"racine");

	echo'<label for="podstrona"><b><span class="req">*</span>Podstrona dla:</b> <select size="1" name="podstrona">';
	echo'<option value="0">Podstrona główna</option>';
		$sql = mysql_query("SELECT id,nazwa_strony,podstrona,alias FROM ".$db_pref."strona WHERE typ='struktura' ORDER BY nazwa_strony ASC;");
		while($row = mysql_fetch_array($sql)){
			$data_x[] = array($row['id'],$row['podstrona'],$row['nazwa_strony'],$row['alias']);
		}
		recur($data_x,0,0);
		echo$tempx;
	echo'</select></label><br />



			<div class="f-submit-wrap">
				<input type="submit" name="edycja_strony" value="Zmień stronę" class="f-submit" />

				<input type="submit" name="edycja_strony_i_okienko" value="Zmień stronę i zamknij okienko" class="f-submit" />

				<input type="submit" name="anuluj" value="Anuluj" class="f-submit-anuluj" onclick="javascript:parent.Windows.getWindow(\'strona_'.$_GET['id_strony'].'\').close();" />

				<br />
			</div>

	</fieldset>

</form>';
?>
